Package org.eclipse.birt.chart.event

# Class ClipRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.ClipRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

public final class ClipRenderEvent extends PrimitiveRenderEvent
This class encapsulates clipping information required for clip implementation in a device. Support for clipped areas is limited to polygons. In the future, it may be upgraded to support additional arbitrary shape definitions.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`ClipRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`Location[]`
`getVertices()`
`void`
`reset()`
Resets the inner state of current event.
`void`
`setVertices(Location[] loa)`
Sets the vertices of the clip.

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, copy, draw, fill, getBackground, getBounds, getDepth, getLabel, getLineAttributes, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClipRenderEvent

public ClipRenderEvent(Object oSource)
The constructor.

## Method Details

### getVertices

public Location[] getVertices()

Returns:
  Returns the vertices associated with a polygon.

### setVertices

public void setVertices(Location[] loa)
Sets the vertices of the clip.

Parameters:
  `loa` - The vertices associated with the polygon area to be clipped

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`